<template>
  <a-descriptions bordered :size="size">
    <a-descriptions-item label="刀具名称">{{currentLevelDetails.cutterName}}</a-descriptions-item>
    <a-descriptions-item label="刀具编号">{{currentLevelDetails.cutterCode}}</a-descriptions-item>
    <a-descriptions-item label="刀具类型">{{currentLevelDetails.cutterType}}</a-descriptions-item>
    <a-descriptions-item label="额定寿命">{{currentLevelDetails.lifetime}}</a-descriptions-item>
    <a-descriptions-item label="刀位">{{currentLevelDetails.cutterSpacing}}</a-descriptions-item>
    <a-descriptions-item label="数量">{{currentLevelDetails.quantity}}</a-descriptions-item>
    <a-descriptions-item label="描述" :span="3">{{currentLevelDetails.description}}</a-descriptions-item>
  </a-descriptions>
</template>

<script>
export default {
  name: 'CutterInfo',
  components: {},
  props: {
    currentLevelDetails: {
      type: Object
    },
    size: {
      type: String
    }
  },
  data() {
    return {}
  },
  methods: {}
}
</script>

<style scoped>

</style>